View Issue Details

IDProjectCategoryView StatusLast Update
0020499mantisbtfeaturepublic2016-07-19 11:46
ReporteratrolAssigned Todregad 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-rc.2 
Target VersionFixed in Version1.3.0 
Summary0020499: Compatibility with PHP 7
Description

This is the master task to track PHP 7 related issues.

Tagsphp7

Relationships

parent of 0020500 closedatrol Installation fails in PHP 7 environment 
parent of 0020501 closeddregad Installer throws warning in PHP 7 environment 

Activities

dregad

dregad

2016-01-11 08:26

developer   ~0052293

As suggested by atrol in 0020501:0052291, I just enabled PHP 7.0 on Travis CI builds.

dregad

dregad

2016-01-11 08:40

developer   ~0052294

Build is passing [1] but considering our unit tests code coverage, this is by no means an indication that there won't be other issues ;)

[1] https://travis-ci.org/mantisbt/mantisbt/builds/101583484

rakekniven

rakekniven

2016-06-15 15:58

reporter   ~0053384

Hello, any news on that issue?
Will be 1.3.x be ready for php7?

Any comment is appreciated.

atrol

atrol

2016-06-16 04:51

developer   ~0053385

There are no known issues concerning PHP 7 at the moment.
I would call using Mantis 1.3 with PHP 7 "experimental" as there is hardly any real life experience with it.

@rakekniven, it would be great if you could support us by trying to upgrade a copy of your installation to Mantis 1.3 using PHP 7.

dregad

dregad

2016-06-16 08:19

developer   ~0053387

For the record, I've upgraded my Dev box to PHP 7 and been running Mantis on it without any issues at all for about 6 weeks now - although that is not intensive use and I have not performed any systematic testing of all functions.

vboctor

vboctor

2016-06-16 12:06

manager   ~0053390

Based on discussions we had for release notes of 1.3.0, we are advertising PHP 7 support for 1.3.0 stable.

Set target version to 1.3.x.

Related Changesets

MantisBT: master 6500f9ac

2016-01-11 08:07:54

dregad

Details Diff
Travis: execute build tests on PHP7

Issue 0020499
mod - .travis.yml Diff File

Issue History

Date Modified Username Field Change
2016-01-11 02:40 atrol New Issue
2016-01-11 02:42 atrol Relationship added parent of 0020500
2016-01-11 02:43 atrol Relationship added parent of 0020501
2016-01-11 08:26 dregad Changeset attached => MantisBT master 6500f9ac
2016-01-11 08:26 dregad Note Added: 0052293
2016-01-11 08:40 dregad Note Added: 0052294
2016-05-01 04:39 dregad Tag Attached: php7
2016-06-15 15:58 rakekniven Note Added: 0053384
2016-06-16 04:51 atrol Note Added: 0053385
2016-06-16 08:19 dregad Note Added: 0053387
2016-06-16 12:06 vboctor Target Version => 1.3.0
2016-06-16 12:06 vboctor Note Added: 0053390
2016-07-10 07:57 atroladmin Target Version 1.3.0 => 1.3.1
2016-07-10 11:46 vboctor Assigned To => dregad
2016-07-10 11:46 vboctor Status new => closed
2016-07-10 11:46 vboctor Resolution open => fixed
2016-07-10 11:46 vboctor Product Version => 1.3.0-rc.2
2016-07-10 11:46 vboctor Fixed in Version => 1.3.0
2016-07-19 11:46 atrol Target Version 1.3.1 =>